| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Business Group Department

Business Group Department Definitions and Methods. More...

## Classes
struct | unsp__CreateBGDeptRequest
| Create BG Department request. More...
struct | unsp__CreateBGDeptResult
| Create BG Department result. More...
struct | unsp__DeleteBGDeptRequest
| Delete BG Department request. More...
struct | unsp__DeleteBGDeptResult
| Delete BG Department result. More...
struct | unsp__ModifyBGDeptRequest
| Modify BG Department request. More...
struct | unsp__ModifyBGDeptResult
| Modify BG Department result. More...
struct | unsp__GetBGDeptListEntry
| BG Department List Entry. More...
struct | unsp__GetBGDeptListData
| BG Department List Data. More...
struct | unsp__GetBGDeptListRequest
| Get BG Department List request. More...
struct | unsp__GetBGDeptListResult
| Get BG Department List result. More...

## Enumerations
enum | unsp__BGDeptVariant { BGDeptVariantBilling, BGDeptVariantEmergency }
| BG Department Variant.If defines if a department is used for billing purposes or for emergency calling group purposes. More...

## Functions
int | unsp__CreateBGDept2 (struct unsp__CreateBGDeptRequest CreateBGDeptRequest, struct unsp__CreateBGDeptResult *CreateBGDeptResult)
| Creates a BG Department. More...
int | unsp__DeleteBGDept2 (struct unsp__DeleteBGDeptRequest DeleteBGDeptRequest, struct unsp__DeleteBGDeptResult *DeleteBGDeptResult)
| Deletes a BG Department. More...
int | unsp__ModifyBGDept2 (struct unsp__ModifyBGDeptRequest ModifyBGDeptRequest, struct unsp__ModifyBGDeptResult *ModifyBGDeptResult)
| Modifies a BG Department. More...
int | unsp__GetBGDeptList (struct unsp__GetBGDeptListRequest GetBGDeptListRequest, struct unsp__GetBGDeptListResult *GetBGDeptListResult)
| Retrieves the list of BG Departments under the specified Business Group. More...

## Detailed Description

Business Group Department Definitions and Methods.

Business Groups can further be divided into departments and Business Group Lines can then be assigned to them. There are two variants of BG Departmens:

- Billing
- Emergency Calling

The department name can be delivered as an alternative to the calling or connected party name.

## Enumeration Type Documentation

## ◆ unsp__BGDeptVariant

enum unsp__BGDeptVariant

BG Department Variant.If defines if a department is used for billing purposes or for emergency calling group purposes.

Enumerator
BGDeptVariantBilling | Billing.
BGDeptVariantEmergency | Emergency.

## Function Documentation

## ◆ unsp__CreateBGDept2()

unsp__CreateBGDept2 | ( | struct unsp__CreateBGDeptRequest | CreateBGDeptRequest,
|  | struct unsp__CreateBGDeptResult * | CreateBGDeptResult
| ) |  |

Creates a BG Department.

Up to 50 BG Departments can be defined for a single Business Group.

Parameters

  CreateBGDeptRequest | API request
  CreateBGDeptResult | API result MP2 command: BGCREATEDEPT [Attributes]

## ◆ unsp__DeleteBGDept2()

unsp__DeleteBGDept2 | ( | struct unsp__DeleteBGDeptRequest | DeleteBGDeptRequest,
|  | struct unsp__DeleteBGDeptResult * | DeleteBGDeptResult
| ) |  |

Deletes a BG Department.

Parameters

  DeleteBGDeptRequest | API request
  DeleteBGDeptResult | API result MP2 command: BGDELETEDEPT [Attributes]

## ◆ unsp__GetBGDeptList()

unsp__GetBGDeptList | ( | struct unsp__GetBGDeptListRequest | GetBGDeptListRequest,
|  | struct unsp__GetBGDeptListResult * | GetBGDeptListResult
| ) |  |

Retrieves the list of BG Departments under the specified Business Group.

Parameters

  GetBGDeptListRequest | API request
  GetBGDeptListResult | API result

## ◆ unsp__ModifyBGDept2()

unsp__ModifyBGDept2 | ( | struct unsp__ModifyBGDeptRequest | ModifyBGDeptRequest,
|  | struct unsp__ModifyBGDeptResult * | ModifyBGDeptResult
| ) |  |

Modifies a BG Department.

Parameters

  ModifyBGDeptRequest | API request
  ModifyBGDeptResult | API result